New: AI video tools. Cut, clip, caption and dub your videos. See all video tools →
Streaming

Get streaming session info

GET
/api/v1/streaming/{session_id}

Return status, chunk count, and sample rate for a streaming session.

Path Parameters

session_id*Session Id

Response Body

Successful Response

application/json
  1. response
exists*Exists

Whether the session exists

is_complete*Is Complete

Whether audio generation has finished

error?|

Error message if generation failed

chunk_count*Chunk Count

Number of audio chunks generated so far

sample_rate*Sample Rate

Audio sample rate in Hz

Example Request
curl -X GET 'http://127.0.0.1:8100/api/v1/streaming/string'
Example Response
{  "exists": true,  "is_complete": true,  "error": "string",  "chunk_count": 0,  "sample_rate": 0}